return Def.ActorFrame{
	Def.ActorFrame{
		Name="Cleared";
		BeginCommand=function(self)
			local stageStats = STATSMAN:GetCurStageStats()
			self:visible( stageStats:OnePassed() )
		end;
		LoadActor("cleared text")..{
			InitCommand=cmd(CenterX;y,SCREEN_CENTER_Y;cropright,1.3;faderight,0.1;);
			OnCommand=cmd(zoom,0.6;sleep,0.35;linear,0.7;cropright,-0.3;sleep,1.95;linear,0.3;diffuse,color("0,0,0,0"));
		};
	};
	Def.ActorFrame{
		Name="Failed";
		BeginCommand=function(self)
			local stageStats = STATSMAN:GetCurStageStats()
			self:visible( not stageStats:OnePassed() )
		end;
		LoadActor("failed text")..{
			InitCommand=cmd(CenterX;y,SCREEN_CENTER_Y;cropright,1.3;faderight,0.1;);
			OnCommand=cmd(zoom,0.6;sleep,0.35;linear,0.7;cropright,-0.3;sleep,1.95;linear,0.3;diffuse,color("0,0,0,0"));
		};
	};
};